Loading...
Searching...
No Matches
_BlobInfo Struct Reference

## Data Fields

size_t | length
size_t | extent
size_t | quantum
BlobMode | mode
MagickBooleanType | mapped
MagickBooleanType | eof
int | error
int | error_number
MagickOffsetType | offset
MagickSizeType | size
MagickBooleanType | exempt
MagickBooleanType | synchronize
MagickBooleanType | temporary
int | status
StreamType | type
FileInfo | file_info
struct stat | properties
StreamHandler | stream
CustomStreamInfo * | custom_stream
unsigned char * | data
MagickBooleanType | debug
SemaphoreInfo * | semaphore
ssize_t | reference_count
size_t | signature

## Detailed Description

Definition at line 135 of file blob.c.

## Field Documentation

## custom_stream

CustomStreamInfo* _BlobInfo::custom_stream

Definition at line 180 of file blob.c.

## data

unsigned char* _BlobInfo::data

Definition at line 183 of file blob.c.

## debug

MagickBooleanType _BlobInfo::debug

Definition at line 186 of file blob.c.

## eof

MagickBooleanType _BlobInfo::eof

Definition at line 147 of file blob.c.

## error

int _BlobInfo::error

Definition at line 150 of file blob.c.

## error_number

int _BlobInfo::error_number

Definition at line 151 of file blob.c.

## exempt

MagickBooleanType _BlobInfo::exempt

Definition at line 160 of file blob.c.

## extent

size_t _BlobInfo::extent

Definition at line 139 of file blob.c.

## file_info

FileInfo _BlobInfo::file_info

Definition at line 171 of file blob.c.

## length

size_t _BlobInfo::length

Definition at line 138 of file blob.c.

## mapped

MagickBooleanType _BlobInfo::mapped

Definition at line 146 of file blob.c.

## mode

BlobMode _BlobInfo::mode

Definition at line 143 of file blob.c.

## offset

MagickOffsetType _BlobInfo::offset

Definition at line 154 of file blob.c.

## properties

struct stat _BlobInfo::properties

Definition at line 174 of file blob.c.

## quantum

size_t _BlobInfo::quantum

Definition at line 140 of file blob.c.

## reference_count

ssize_t _BlobInfo::reference_count

Definition at line 192 of file blob.c.

## semaphore

SemaphoreInfo* _BlobInfo::semaphore

Definition at line 189 of file blob.c.

## signature

size_t _BlobInfo::signature

Definition at line 195 of file blob.c.

## size

MagickSizeType _BlobInfo::size

Definition at line 157 of file blob.c.

## status

int _BlobInfo::status

Definition at line 165 of file blob.c.

## stream

StreamHandler _BlobInfo::stream

Definition at line 177 of file blob.c.

## synchronize

MagickBooleanType _BlobInfo::synchronize

Definition at line 161 of file blob.c.

## temporary

MagickBooleanType _BlobInfo::temporary

Definition at line 162 of file blob.c.

## type

StreamType _BlobInfo::type

Definition at line 168 of file blob.c.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/blob.c